/*
 * File:   AreaChooser.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */
 
package gui;

import sim.Simulation;
import main.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.io.*;
import java.awt.Color;
import java.awt.Container;
import javax.swing.SpringLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.beans.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/** The class representing the panel for inputing intial pasture perameters */
public class AreaChooser extends JPanel implements KeyListener{

	private JTextField nameField; 
	
	private JTextField areaField; 
	private int chosenArea;
	
	private JTextField saveField; 
	private int chosenRate;
		
	public AreaChooser(){
		super();
		chosenArea = 0;
		
		SpringLayout layout = new SpringLayout();
		setLayout(layout);
		
		JLabel nameLabel = new JLabel("Simulation Name"); this.add(nameLabel);
		       nameField = new JTextField("untitled.psm", 10); this.add(nameField); 
		
		JLabel areaLabel = new JLabel("Pasture Area [m\u00B2]"); this.add(areaLabel);
		       areaField = new JTextField("50000", 10); this.add(areaField); parseText(areaField);
		       areaField.addKeyListener(this);

		JLabel saveLabel = new JLabel("Save Interval [hr]"); this.add(saveLabel);
		       saveField = new JTextField("168", 10); this.add(saveField); parseText(saveField);
		       saveField.addKeyListener(this);
		
		layout.putConstraint(SpringLayout.EAST,  this, 10, SpringLayout.EAST,  saveLabel);

		layout.putConstraint(SpringLayout.NORTH, this, 5, SpringLayout.NORTH, nameLabel);
		layout.putConstraint(SpringLayout.WEST,  nameLabel, 10, SpringLayout.WEST,  this);
		layout.putConstraint(SpringLayout.NORTH, nameField,  4, SpringLayout.SOUTH, nameLabel);
		layout.putConstraint(SpringLayout.WEST,  nameField, 10, SpringLayout.WEST,  this);
		
		layout.putConstraint(SpringLayout.NORTH, areaLabel, 15, SpringLayout.SOUTH, nameField);
		layout.putConstraint(SpringLayout.WEST,  areaLabel, 10, SpringLayout.WEST,  this);
		layout.putConstraint(SpringLayout.NORTH, areaField, 4, SpringLayout.SOUTH, areaLabel);
		layout.putConstraint(SpringLayout.WEST,  areaField, 10, SpringLayout.WEST,  this);
		
		layout.putConstraint(SpringLayout.NORTH, saveLabel, 15, SpringLayout.SOUTH, areaField);
		layout.putConstraint(SpringLayout.WEST,  saveLabel, 10, SpringLayout.WEST,  this);
		layout.putConstraint(SpringLayout.NORTH, saveField,  4, SpringLayout.SOUTH, saveLabel);
		layout.putConstraint(SpringLayout.WEST,  saveField, 10, SpringLayout.WEST,  this);

	}
	
	public String getChosenName(){ return nameField.getText(); }
	public int getChosenArea(){ return chosenArea;	}
	public int getChosenRate(){ return chosenRate;	}
	
	public void keyPressed(KeyEvent e){ parseText((JTextField)e.getSource()); }
	public void keyReleased(KeyEvent e){ parseText((JTextField)e.getSource()); }
	public void keyTyped(KeyEvent e){ parseText((JTextField)e.getSource()); }
 
	private void parseText(JTextField f){
		String text = f.getText();
		int val = -1;
		if(text == null || text.equals("")) val = 0;
		else{
			try{
				val = Integer.parseInt(text);
			}catch(NumberFormatException ex){ val = -1; }
		}
		if(val <= 0) f.setText("");
		else{
			f.setText(""+val);
		}
		if(f == areaField) chosenArea = val;
		else chosenRate = val;
	}
	
}
