/*
 * File:   NutritionGraphWindow.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   04-03-05
 */
 
 package gui.graph;

import gui.*;
import gui.icon.PlotIcon;
import sim.Simulation;
import sim.livestock.*;
import main.PastureSim;

import java.awt.*;
import java.awt.Color;
import java.awt.Container;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.io.*;
import javax.swing.*;
import javax.swing.SpringLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

/** Graphs animal nutrition */
public class NutritionGraphWindow extends GraphWindow implements ActionListener{

	public static final Color HUNGER_COLOUR   = Color.GREEN;
	public static final Color THIRST_COLOUR   = Color.BLUE;
	
	public NutritionGraphWindow(UserInterface ui, Simulation sim){
		super(ui, sim, "Animal Nutrition");
	}
	
	/** Generate the gui */
	public void generate(){
		plots = new JCheckBox[2];
		plots[0] = new JCheckBox("Hunger", true); plots[0].setIcon(new PlotIcon(HUNGER_COLOUR, plots[0])); plots[0].setPreferredSize(new Dimension(100, 25)); plots[0].addActionListener(this);
		plots[1] = new JCheckBox("Thirst", true); plots[1].setIcon(new PlotIcon(THIRST_COLOUR, plots[1])); plots[1].setPreferredSize(new Dimension(100, 25)); plots[1].addActionListener(this);
		super.generate();
	}
	
	/** Draws the graph data */
	public void drawGraph(Graphics g){
		if(sim.animalGraphData == null) return;
		if(plots[0].isSelected()){ g.setColor(HUNGER_COLOUR); plotMinutes(sim.animalGraphData[7], g); }
		if(plots[1].isSelected()){ g.setColor(THIRST_COLOUR); plotMinutes(sim.animalGraphData[8], g); }
	}
	
}
