/*
 * File:   PlotIcon.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

package gui.icon;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.Icon;
import javax.swing.JCheckBox;

/** Icon for a plot line */
public class PlotIcon implements Icon{

	private static final int width = 25;
	private static final int height = 10;
	private Color col;
	private JCheckBox b;
	
	public PlotIcon(Color col, JCheckBox b){ this.col = col; this.b = b; }

	public int getIconHeight(){ return height; }
	public int getIconWidth() { return width; }
	public void paintIcon(Component c, Graphics g, int x, int y){
		g.setColor(Color.BLACK);
		g.drawRect(x, y, width, height);
		if(b.isSelected()){
			g.setColor(col);
			g.fillRect(x+1, y+4, width-1, height-7);
		}
	}	
}
