/*
 * File:   FieldRemoveActionPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
 
package gui.view;

import sim.*;
import sim.pasture.*;
import utils.FieldGeometry;

import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
import java.util.*;

/** The action panel for removing fields */
public class FieldRemoveActionPanel extends ActionPanel{

	private FieldGeometry geom;
	private FieldBounds closestField;
	
	public FieldRemoveActionPanel(Simulation sim){
		super(sim);
		geom = sim.getFieldGeometry();
		closestField = null;
	}
	
	public void paintComponent(Graphics g){
		super.paintComponent(g);
		sim.drawPasture(g);
		if(closestField != null) closestField.drawActive(g);
	}
	
	public void mouseMoved(MouseEvent e){
		super.mouseMoved(e);
		Point2D.Double s = sim.scaledMousePos(mouseX, mouseY);
		closestField = geom.findContainingFieldDraw(s);
		repaint();
	}
	public void mouseSingleClicked(MouseEvent e){
		if(closestField != null){
			sim.removeField(closestField);
			sim.setMode(Simulation.MODE_PASTURE);
		}
	}
	public void mouseDoubleClicked(MouseEvent e){
		sim.setMode(Simulation.MODE_PASTURE);
	}
	public void mouseEntered (MouseEvent e){}
	public void mouseExited  (MouseEvent e){}
}
