/*
 * File:   LivestockAddActionPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
 
package gui.view;

import sim.*;
import sim.pasture.*;
import sim.livestock.*;
import utils.*;
import gui.*;

import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
import java.util.*;


/** The action panel for adding livestock groups */
public class LivestockAddActionPanel extends ActionPanel{

	private FieldGeometry geom;
	private FieldBounds closestField;
	private LivestockGroup g;
	
	public LivestockAddActionPanel(Simulation sim, LivestockGroup g){
		super(sim);
		this.g = g;
		geom = sim.getFieldGeometry();
		closestField = null;
	}
	
	public void paintComponent(Graphics g){
		super.paintComponent(g);
		sim.drawPasture(g);
		if(closestField != null) closestField.drawActive(g);
		Point2D.Double s = sim.scaledMousePos(mouseX, mouseY);
		sim.drawActiveAnimal(g, s);
	}
	
	public void mouseMoved(MouseEvent e){
		super.mouseMoved(e);
		Point2D.Double s = sim.scaledMousePos(mouseX, mouseY);
		closestField = geom.findContainingFieldDraw(s);
		repaint();
	}
	public void mouseSingleClicked(MouseEvent e){
		// we can now add the new livestock to the simulation here..
		Point2D.Double s = sim.scaledMousePos(mouseX, mouseY);
		g.createAnimals(s);
		sim.addLivestock(g); // Add the livestock group
		sim.setMode(Simulation.MODE_LIVESTOCK);
	}
	public void mouseDoubleClicked(MouseEvent e){ sim.setMode(Simulation.MODE_LIVESTOCK); }
	public void mouseEntered (MouseEvent e){}
	public void mouseExited  (MouseEvent e){}
}
