/*
 * File:   ReadOnlyActionPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
package gui.view;

import sim.*;
import gui.UserInterface;

import java.awt.*;
import java.awt.Graphics;
import java.awt.image.*;
import java.awt.event.*;
import javax.swing.*;


/** This is the action panel used in the simulation. It is 
  * a read only panel because it doesnt allow the user to
  * directly manipulate objects in the simulation environment */
public class ReadOnlyActionPanel extends ActionPanel{

	public ReadOnlyActionPanel(Simulation sim, UserInterface ui){
		super(sim);
	}

	public void paintComponent(Graphics g){
		super.paintComponent(g);
		if(sim != null) sim.drawPasture(g);
	}
}
