/*
 * File:   WaterRemoveActionPanel.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
 
package gui.view;

import sim.*;
import sim.pasture.*;
import utils.WaterGeometry;

import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
import java.util.*;


/** The action panel for removing water sources */
public class WaterRemoveActionPanel extends ActionPanel{

	private WaterGeometry geom;
	private FieldWater closestWater;
	
	public WaterRemoveActionPanel(Simulation sim){
		super(sim);
		geom = sim.getWaterGeometry();
		closestWater = null;
	}
	
	public void paintComponent(Graphics g){
		super.paintComponent(g);
		sim.drawPasture(g);
		if(closestWater != null) closestWater.drawActive(g);
	}
	
	public void mouseMoved(MouseEvent e){
		super.mouseMoved(e);
		Point2D.Double s = sim.scaledMousePos(mouseX, mouseY);
		closestWater = geom.findContainingFieldDraw(s);
		repaint();
	}
	public void mouseSingleClicked(MouseEvent e){
		if(closestWater != null){
			sim.removeWater(closestWater);
			sim.setMode(Simulation.MODE_PASTURE);
		}
	}
	public void mouseDoubleClicked(MouseEvent e){
		sim.setMode(Simulation.MODE_PASTURE);
	}
	public void mouseEntered (MouseEvent e){}
	public void mouseExited  (MouseEvent e){}
}
