/*
 * File:   XLine2D.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
package utils;

import java.awt.geom.*;
 
/** Slightly changes the definition of intersection of lines
  * by allowing end-points to touch. This allows the merging
  * of field bounds */
public abstract class XLine2D extends Line2D{

	public static boolean linesIntersect(int x1A, int y1A, int x2A, int y2A, int x1B, int y1B, int x2B, int y2B){
	
		if((x1A==x1B) && (y1A==y1B)
		|| (x1A==x2B) && (y1A==y2B)
		|| (x2A==x1B) && (y2A==y1B)
		|| (x2A==x2B) && (y2A==y2B)) return false;
		return Line2D.linesIntersect(x1A, y1A, x2A, y2A, x1B, y1B, x2B, y2B);	
	}
	
}
